<?php
/**
 * Simple PopOut - Helper
 * 
 * @package    Joomla
 * @subpackage Modules
 * @author Anders Wasén
 * @link http://wasen.net/
 * @license		GNU/GPL, see http://wasen.net/index.php?option=com_content&view=article&id=2
 * mod_simplepopout is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */


defined('_JEXEC') or die('Direct Access to this location is not allowed.');

class ModSimplePopOutHelper
{
	static function getData(&$params) {
	
		$popOutContent = '';
		
		
		$article_id = (int)$params->get('spo_article_id', 1);
		
		
		
		// If the content is to be an article!
		if ($article_id > 0) {
			$db = JFactory::getDBO(); 
			
			$query = 'SELECT article.fulltext, article.introtext ' . ' FROM #__content AS article' . ' WHERE article.id = '. (int)$article_id;
			
			$db->setQuery($query);
			$row = $db->loadRow();
			if ($db->getErrorNum()) {
				JError::raiseWarning( 500, $db->stderr() );
			}
			//print_r($row);
			if (strlen($row[0]) > 0) $popOutContent = $row[0];
			if (strlen($row[1]) > 0) $popOutContent = $row[1];
			if (strlen($popOutContent) == 0) $popOutContent = 'Failed to find Article with ID '.$article_id;
		}
		
		$out = ModSimplePopOutHelper::replaceNL($popOutContent);
		return $out;
		
		
	}
	
	static function replaceNL($popOutContent) {
		
		// As we send the data as JSON, make sure we don't have any '-quotes in the text
		$popOutContent = str_replace('\'', '&apos;', $popOutContent);
		// For an Article with line-feeds (some Editors) add the <br />'s in there
		$popOutContent = nl2br($popOutContent);
		
		// Unfortunately some J! Editors makes a mess out of newlines so to be on the safe side loop through and find 0D+0A characters
		//$hex = '';
		$out = '';
		for ($i=0; $i<strlen($popOutContent); $i++){
			$ord = ord($popOutContent[$i]);
			$hexCode = dechex($ord);
			if (strToUpper(substr('0'.$hexCode, -2)) === '0D' || strToUpper(substr('0'.$hexCode, -2)) === '0A') {
				//echo 'FOUND IT';
			} else {
				$out .= $popOutContent[$i];
			}
			//$hex .= ' '.strToUpper(substr('0'.$hexCode, -2));
		}
		return $out;
	}

}