<?php 
/**
 * Simple PopOut Module Template Layout
 * 
 * @package    Joomla
 * @subpackage Modules
 * @author Anders Wasén
 * @link http://wasen.net/
 * @license		GNU/GPL, see http://wasen.net/index.php?option=com_content&view=article&id=2
 * mod_simplepopout is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

defined('_JEXEC') or die('Restricted access'); // no direct access 

?>

<?php
header("Access-Control-Allow-Origin: *");

// Make sure jQuery is loaded!
JHtml::_('jquery.framework');
JHtml::stylesheet('modules/mod_simplepopout/tmpl/mod_simplepopout.css');
JHtml::stylesheet('modules/mod_simplepopout/tmpl/assets/css/jquery.popdown.css');

JHtml::script('modules/mod_simplepopout/tmpl/assets/lib/jquery.popdown.js');
JHtml::script('modules/mod_simplepopout/tmpl/assets/lib/jquery.cookie.js');
JHtml::script('modules/mod_simplepopout/tmpl/assets/lib/b64d.js');

// Get Module ID to create unique names
$mid = $module->id;

// Get params
$spo_showatload = (int)$params->get('spo_showatload', 1);
$spo_title = (string)$params->get('spo_title', '');
$spo_closebtn = (int)$params->get('spo_closebtn', 0);
$spo_closeonoverlay = (int)$params->get('spo_closeonoverlay', 1);
$spo_closeonesc = (int)$params->get('spo_closeonesc', 1);
$spo_autoclose = (int)$params->get('spo_autoclose', 0);
$spo_delayopen = (int)$params->get('spo_delayopen', 0);
$spo_closetxt = (string)$params->get('spo_closetxt', 'Close');
$spo_addnobutton = (int)$params->get('spo_addnobutton', 0);
$spo_nobuttontxt = (string)$params->get('spo_nobuttontxt', 'Disagree');
$spo_redirecturl = (string)$params->get('spo_redirecturl', '.');


$spo_width = (int)$params->get('spo_width', 0);
$spo_dialogbgcolor = (string)$params->get('spo_dialogbgcolor', '#fff');
$spo_dialogshadow = (int)$params->get('spo_dialogshadow', 10);
$spo_dialogshadowopacity = (float)$params->get('spo_dialogshadowopacity', 0.3);

$spo_bordercolor = (string)$params->get('spo_bordercolor', '#d8d8d8');
$spo_borderwidth = (int)$params->get('spo_borderwidth', 3);
$spo_borderradius = (int)$params->get('spo_borderradius', 5);


$spo_overlayopacity = (float)$params->get('spo_overlayopacity', 0.5);
$spo_overlaycolor = (string)$params->get('spo_overlaycolor', '#3e3e3e');
$spo_titletextcolor = (string)$params->get('spo_titletextcolor', '#3e3e3e');
$spo_titlebgcolor = (string)$params->get('spo_titlebgcolor', '#f0f0f0');
$spo_closebtntextcolor = (string)$params->get('spo_closebtntextcolor', '#fff');
$spo_closebtnbgcolor = (string)$params->get('spo_closebtnbgcolor', '#3BB69E');


$spo_slidetime = (int)$params->get('spo_slidetime', 300);
$spo_slidestyle = (string)$params->get('spo_slidestyle', 'slide');

$spo_hide = (string)$params->get('spo_hide', '');

$spo_url = (string)$params->get('spo_url', '');
$spo_loadextas = (string)$params->get('spo_loadextas', 'ajax');

$spo_cookie = (int)$params->get( 'spo_cookie', 0);
$spo_cookiepersistence = (int)$params->get( 'spo_cookiepersistence', 0);

$spo_showlink = (int)$params->get( 'spo_showlink', 0);
$spo_showlinkbutton = (int)$params->get( 'spo_showlinkbutton', 1);
$spo_linktext = (string)$params->get('spo_linktext', 'Open Pop-Out');


// Fix texts
$spo_title = str_replace("'", '&apos;', $spo_title);
$spo_linktext = str_replace("'", "&apos;", $spo_linktext);
$spo_nobuttontxt = str_replace("'", "&apos;", $spo_nobuttontxt);
$spo_closetxt = str_replace("'", "&apos;", $spo_closetxt);


// Start the Pop-Out DIV
$html = '<div class="popdown-content">';

// Add title
if (strlen($spo_title) > 0) $html .= '<header><h2 style="color: '.$spo_titletextcolor.'; background-color: '.$spo_titlebgcolor.';">'.$spo_title.'</h2></header>';
// Add container for content
$html .= '<div class="popdown-content-container">';
// Assume we will load static content
$loadURL = '#';
if (strlen($spo_url) > 0 && strlen($popOutContent) == 0) {
	if ($spo_loadextas === 'ajax') {
		$loadURL = $spo_url;
		$html .= '[code]';
	} else if($spo_loadextas === 'ajaxprxy') {
		$loadURL = 'modules/mod_simplepopout/proxy.php?URL='.$spo_url;
		$html .= '[code]';
	} else {
		$html .= '<iframe id="spo-iframe" class="spo-iframe" frameborder="0" border="0" cellspacing="0" style="border-style: none;width: 100%; height: 120px;" src="'.$spo_url.'" style="position: static; width: 100%;">iFrame should have been loaded here...</iframe>';
	}
} else {
	$html .= $popOutContent;
}
// Close content content
$html .= '</div>';
// Add buttons
$buttons = '<footer>';
if ($spo_addnobutton == 1) $buttons .= '<button onclick="javascript:window.location=&apos;'.$spo_redirecturl.'&apos;;" class="button disagree-popdown" style="color: '.$spo_closebtntextcolor.'; background-color: '.$spo_closebtnbgcolor.';">'.$spo_nobuttontxt.'</button>';
if ($spo_closebtn == 1) $buttons .= '<button class="button close-popdown" style="color: '.$spo_closebtntextcolor.'; background-color: '.$spo_closebtnbgcolor.'; margin-left: 10px;">'.$spo_closetxt.'</button>';
if (strlen($buttons) > 9) $html .= $buttons.'</footer>';
// Close the Pop-Out DIV
$html .= '</div>';
?>

<style>
#popdown-dialog {
  background-color: <?php echo $spo_dialogbgcolor; ?>;
  -webkit-box-shadow: 0px 0px <?php echo $spo_dialogshadow; ?>px rgba(0, 0, 0, <?php echo $spo_dialogshadowopacity; ?>);
  -moz-box-shadow: 0px 0px <?php echo $spo_dialogshadow; ?>px rgba(0, 0, 0, <?php echo $spo_dialogshadowopacity; ?>);
  box-shadow: 0px 0px <?php echo $spo_dialogshadow; ?>px rgba(0, 0, 0, <?php echo $spo_dialogshadowopacity; ?>);
  <?php if($spo_borderwidth > 0) { ?>
  border-radius: 0px 0px <?php echo $spo_borderradius; ?>px <?php echo $spo_borderradius; ?>px;
  border-bottom: <?php echo $spo_borderwidth; ?>px solid <?php echo $spo_bordercolor; ?>;
  border-left: <?php echo $spo_borderwidth; ?>px solid <?php echo $spo_bordercolor; ?>;
  border-right: <?php echo $spo_borderwidth; ?>px solid <?php echo $spo_bordercolor; ?>;
  <?php } ?>
}
</style>

<script language="javascript" type="text/javascript">
<!--
// Base html code for the container (and content for Article or Inline)
var html = '<?php echo $html; ?>';
// Send the Options to the jQ plugin
var options = {
	width: <?php echo $spo_width; ?>,
	slidetime: <?php echo $spo_width; ?>,
	slidestyle: '<?php echo $spo_slidestyle; ?>',
	hide: '<?php echo $spo_hide; ?>',
	env:  '<?php echo $popOutEnvelope; ?>',
	closeonoverlay: <?php echo $spo_closeonoverlay; ?>,
	closeonesc: <?php echo $spo_closeonesc; ?>,
	overlayopacity: <?php echo $spo_overlayopacity; ?>,
	overlaycolor: '<?php echo $spo_overlaycolor; ?>',
	autoclose: <?php echo $spo_autoclose; ?>,
	delayopen: <?php echo $spo_delayopen; ?>
};

jQuery(document).ready(function(){

	var spocookie = jQuery.cookie("SimplePopOut<?php echo $mid; ?>") ? jQuery.cookie("SimplePopOut<?php echo $mid; ?>") : '';
<?php if ($spo_cookie == 1) { ?>
	
	// Reset the cookie if the # of days has changed
	<?php if ($spo_cookiepersistence == 0) { ?>
	jQuery.cookie("SimplePopOut<?php echo $mid; ?>", "0");
	<?php } else { ?>
	jQuery.cookie("SimplePopOut<?php echo $mid; ?>", "<?php echo $spo_cookiepersistence; ?>", { expires: <?php echo $spo_cookiepersistence; ?> });
	<?php } ?>
	
	
<?php } else { ?>
	if (spocookie.length > 0) jQuery.removeCookie("SimplePopOut<?php echo $mid; ?>");
<?php } ?>

<?php if ($spo_width == -1) { ?>
	options.width = jQuery(document).outerWidth();
<?php } ?>
	
	// Build the PopOut
	jQuery('.popdown').popdown(options, html);
	
	<?php if ($spo_showatload == 0) { ?>
	spocookie = '0';
	<?php } ?>
	// Trigger click to show PopOut
	if (spocookie == '') jQuery('.spo-trigger-open').trigger('click');
});


-->
</script>

<?php
$dispAlink = 'none';
if ($spo_showlink == 1) {
	if ($spo_showlinkbutton == 1) {
?>
<button href="#" class="button popdown btn" style="color: <?php echo $spo_closebtntextcolor; ?>; background-color: <?php echo $spo_closebtnbgcolor; ?>;"><?php echo $spo_linktext; ?></button>
<?php 
	} else {
		$dispAlink = 'block';
	}
}	
?>

<a href="<?php echo $loadURL; ?>" class="popdown btn spo-trigger-open" style="display: <?php echo $dispAlink; ?>;"><?php echo $spo_linktext; ?></a>